Bug 846346 - Review Request: halibut - TeX-like software manual tool
Review Request: halibut - TeX-like software manual tool
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jan Vcelak
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 846348
  Show dependency treegraph
 
Reported: 2012-08-07 10:16 EDT by Jaroslav Škarvada
Modified: 2013-03-03 20:30 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-20 10:28:28 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jvcelak: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jaroslav Škarvada 2012-08-07 10:16:09 EDT
Spec URL: http://fedorapeople.org/~jskarvad/halibut.spec
SRPM URL: http://fedorapeople.org/~jskarvad/halibut-1.0-3.20120803svn9601.fc15.src.rpm
Description: Halibut is yet another text formatting system, intended primarily for writing software documentation. It accepts a single source format and outputs a variety of formats, planned to include text, HTML, Texinfo, Windows Help, Windows HTMLHelp, PostScript and PDF. It has comprehensive indexing and cross-referencing support, and generates hyperlinks within output documents wherever possible.
Fedora Account System Username: jskarvad

This is re-review of halibut, that was retired on 2011-07-25. It is dep for putty.
Comment 1 Jaroslav Škarvada 2012-08-09 05:31:16 EDT
Sorry, correct SRPM URL:
http://fedorapeople.org/~jskarvad/halibut-1.0-4.20120803svn9601.fc15.src.rpm
Comment 2 Jan Vcelak 2012-08-09 07:04:45 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated

==== C/C++ ====
[x]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.


==== Generic ====
[x]: EXTRA Rpmlint is run on all installed packages.
     Note: There are rpmlint messages (see attachment).
[x]: EXTRA Spec file according to URL is the same as in SRPM.
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[x]: MUST Buildroot is not present
     Note: Unless packager wants to package for EPEL5 this is fine
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Sources contain only permissible code or content.
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package contains desktop file if it is a GUI application.
[x]: MUST Development files must be in a -devel package
[x]: MUST Package uses nothing in %doc for runtime.
[x]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Fully versioned dependency in subpackages, if present.
[x]: MUST Package complies to the Packaging Guidelines
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[x]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.

     License is MIT, but the LICENCE file contains notice about the font metrics derived from "Font Metrics for PDF Core 14 Fonts". That license requires just copyright notice to be included. This is fulfilled. And we already have a package with the original metrics in Fedora -- pcfi package. So I believe that License field is correct.

[x]: MUST Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: MUST Package is named using only allowed ascii characters.
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Package is not relocatable.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint is run on all rpms the build produces.
     Note: There are rpmlint messages (see attachment).
[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains systemd file(s) if in need.
[x]: MUST File names are valid UTF-8.
[x]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[x]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[x]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX / PatchY prefixed with %{name}.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[-]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.

Issues:
[!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files -n vim-halibut section. This is OK
     if packaging for EPEL5. Otherwise not needed
See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
[!]: MUST Package requires other packages for directories it uses.
     vim-halibut requires vim-common, while it should require vim-filesystem
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
See: None
[!]: MUST License file installed when any subpackage combination is installed.
     vim-halibut does not depend on the main package, which contains the LICENCE file
[!]: SHOULD Spec use %global instead of %define.
     Note: %define svndate 20120803 %define svnver 9601


Rpmlint
-------
Checking: halibut-1.0-4.20120803svn9601.fc16.x86_64.rpm
          vim-halibut-1.0-4.20120803svn9601.fc16.noarch.rpm
          halibut-1.0-4.20120803svn9601.fc16.src.rpm
          halibut-debuginfo-1.0-4.20120803svn9601.fc16.x86_64.rpm
vim-halibut.noarch: W: no-documentation
halibut.src:11: W: macro-in-comment %{name}
halibut.src:11: W: macro-in-comment %{version}
halibut.src: W: invalid-url Source0: halibut-20120803.tar.bz2
4 packages and 0 specfiles checked; 0 errors, 4 warnings.


Rpmlint (installed packages)
----------------------------
# rpmlint vim-halibut
vim-halibut.noarch: I: enchant-dictionary-not-found en_US
vim-halibut.noarch: W: no-documentation
1 packages and 0 specfiles checked; 0 errors, 1 warnings.
# echo 'rpmlint-done:'

Requires
--------
halibut-1.0-4.20120803svn9601.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    
    libc.so.6()(64bit)  
    rtld(GNU_HASH)  

vim-halibut-1.0-4.20120803svn9601.fc16.noarch.rpm (rpmlib, GLIBC filtered):
    
    vim-common  

halibut-debuginfo-1.0-4.20120803svn9601.fc16.x86_64.rpm (rpmlib, GLIBC filtered):
    

Provides
--------
halibut-1.0-4.20120803svn9601.fc16.x86_64.rpm:
    
    halibut = 1.0-4.20120803svn9601.fc16
    halibut(x86-64) = 1.0-4.20120803svn9601.fc16

vim-halibut-1.0-4.20120803svn9601.fc16.noarch.rpm:
    
    vim-halibut = 1.0-4.20120803svn9601.fc16

halibut-debuginfo-1.0-4.20120803svn9601.fc16.x86_64.rpm:
    
    halibut-debuginfo = 1.0-4.20120803svn9601.fc16
    halibut-debuginfo(x86-64) = 1.0-4.20120803svn9601.fc16

MD5-sum check
-------------

Generated by fedora-review 0.2.0 (53cc903) last change: 2012-07-09
Command line :/usr/bin/fedora-review -b 846346
External plugins:
Comment 3 Jaroslav Škarvada 2012-09-19 10:34:54 EDT
(In reply to comment #2)

Thanks for the review.

> [x]: MUST License field in the package spec file matches the actual license.
> 
>      License is MIT, but the LICENCE file contains notice about the font
> metrics derived from "Font Metrics for PDF Core 14 Fonts". That license
> requires just copyright notice to be included. This is fulfilled. And we
> already have a package with the original metrics in Fedora -- pcfi package.
> So I believe that License field is correct.
> 
The font metrics license looks for me like some kind of MIT variant (but I am not sure about it). From the text I think the current state of this package is OK and we needn't modify the License tag. But to be 100% sure I asked fedora-legal.

> Issues:
> [!]: MUST Package has no %clean section with rm -rf %{buildroot} (or
>      $RPM_BUILD_ROOT)
>      Note: Clean is needed only if supporting EPEL
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#.25clean
> [!]: MUST Each %files section contains %defattr if rpm < 4.4
>      Note: defattr(....) present in %files -n vim-halibut section. This is OK
>      if packaging for EPEL5. Otherwise not needed
> See: http://fedoraproject.org/wiki/Packaging/Guidelines#FilePermissions
>
> [!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at
> the
>      beginning of %install.
>      Note: rm -rf is only needed if supporting EPEL5
> See: None
>
They are no MUST, it is bug in fedora-review tool, it should be fixed now and I would like to keep it there for possible future EPEL inclusion.


> [!]: MUST Package requires other packages for directories it uses.
>      vim-halibut requires vim-common, while it should require vim-filesystem
>
Fixed.

> [!]: MUST License file installed when any subpackage combination is
> installed.
>      vim-halibut does not depend on the main package, which contains the
> LICENCE file
>
Hmm, well it seems it is really independent from the main package. Unfortunately there is no specific license for the VIM syntax file thus I am using simple logic: the file is in package that is licensed under MIT thus I am putting the same license file there, but it maybe overkill.

> [!]: SHOULD Spec use %global instead of %define.
>      Note: %define svndate 20120803 %define svnver 9601
> 
Fixed.

> 
> Rpmlint
> -------
> Checking: halibut-1.0-4.20120803svn9601.fc16.x86_64.rpm
>           vim-halibut-1.0-4.20120803svn9601.fc16.noarch.rpm
>           halibut-1.0-4.20120803svn9601.fc16.src.rpm
>           halibut-debuginfo-1.0-4.20120803svn9601.fc16.x86_64.rpm
> vim-halibut.noarch: W: no-documentation
> halibut.src:11: W: macro-in-comment %{name}
> halibut.src:11: W: macro-in-comment %{version}
>
I am going to  let the macros there as they are. Currently they are harmless and the line will be uncommented again when the upstream make regular release.

> halibut.src: W: invalid-url Source0: halibut-20120803.tar.bz2
>
Impossible to fix for now.

Updated files:
Spec URL: http://fedorapeople.org/~jskarvad/halibut.spec
SRPM URL: http://fedorapeople.org/~jskarvad/halibut-1.0-5.20120803svn9601.fc15.src.rpm
Comment 4 Jan Vcelak 2012-09-20 03:46:11 EDT
OK. So the only undecided problem is the Licence. Let's wait for fedora-legal.
Comment 5 Jaroslav Škarvada 2012-09-24 16:21:40 EDT
Reply from fedora-legal:

> Not MIT, but it is Free and GPL-Compatible. Please use:
> 
> License: MIT and APAFML

New files:
Spec URL: http://fedorapeople.org/~jskarvad/halibut.spec
SRPM URL: http://fedorapeople.org/~jskarvad/halibut-1.0-6.20120803svn9601.fc15.src.rpm
Comment 6 Jan Vcelak 2012-09-25 05:58:23 EDT
fedora_review+

Thanks.
Comment 7 Jaroslav Škarvada 2012-09-25 06:30:34 EDT
New Package SCM Request
=======================
Package Name: halibut
Short Description: TeX-like software manual tool
Owners: jskarvad
Branches: f17 f18
InitialCC:
Comment 8 Gwyn Ciesla 2012-09-25 08:27:33 EDT
Unretired, please take ownership of devel, and if desired, EL-6 and EL-5. 
Then submit a Package Change SCM request for f17 and f18.  Thanks!
Comment 9 Jaroslav Škarvada 2012-09-25 10:51:14 EDT
Package Change Request
======================
Package Name: halibut
New Branches: f17 f18
Owners: jskarvad

I need f17, f18 branches, hopefully the request is OK :)
Comment 10 Gwyn Ciesla 2012-09-25 11:05:33 EDT
Git done (by process-git-requests).
Comment 11 Jaroslav Škarvada 2012-09-26 06:13:02 EDT
Package Change Request
======================
Package Name: halibut
New Branches: f16
Owners: jskarvad

I will also take f16 branch.
Comment 12 Gwyn Ciesla 2012-09-26 06:15:47 EDT
Git done (by process-git-requests).
Comment 13 Fedora Update System 2012-09-26 15:21:04 EDT
halibut-1.0-6.20120803svn9601.fc18 has been submitted as an update for Fedora 18.
https://admin.fedoraproject.org/updates/halibut-1.0-6.20120803svn9601.fc18
Comment 14 Fedora Update System 2012-09-26 15:22:03 EDT
halibut-1.0-6.20120803svn9601.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/halibut-1.0-6.20120803svn9601.fc16
Comment 15 Fedora Update System 2012-09-26 15:22:23 EDT
halibut-1.0-6.20120803svn9601.fc17 has been submitted as an update for Fedora 17.
https://admin.fedoraproject.org/updates/halibut-1.0-6.20120803svn9601.fc17
Comment 16 Fedora Update System 2012-09-26 17:21:50 EDT
halibut-1.0-6.20120803svn9601.fc18 has been pushed to the Fedora 18 testing repository.
Comment 17 Fedora Update System 2012-12-20 10:28:31 EST
halibut-1.0-6.20120803svn9601.fc18 has been pushed to the Fedora 18 stable repository.

Note You need to log in before you can comment on or make changes to this bug.